
Redmine - Defect #20788

REST API with JSON content missing attributes with false values

2015-09-21 05:46 - 邵 岸

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.3.9   

Resolution: Fixed Affected version: 2.6.7

Description

if an issue IS NOT private，using "GET /issues/<this_issue_id>.xml" can get "<is_private>false</is_private>" in the response;but if

using "GET /issues/<this_issue_id>.json", there is no "is_private" key fonud in the response.

and the similar:

if a project IS NOT public，using "GET /projects/<this_project_id>.xml" can get "<is_public>false</is_public>" in the response;but if

using "GET /issues/<this_project_id>.json", there is no "is_public" key fonud in the response.

Environment:

Redmine version                2.6.6.stable

Ruby version                   2.0.0-p645 (2015-04-13) [x86_64-linux]

Rails version                  3.2.22

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.10

Filesystem

Redmine plugins:

redmine_cas                    1.2.1

Associated revisions

Revision 17643 - 2018-11-28 19:03 - Jean-Philippe Lang

REST API with JSON content missing false values (#20788).

Patch by Yuichi HARADA.

Revision 17650 - 2018-11-29 16:40 - Jean-Philippe Lang

Merged r17643 to 3.4-stable (#20788).

Revision 17651 - 2018-11-29 16:41 - Jean-Philippe Lang

Merged r17643 to 3.3-stable (#20788).

History

#1 - 2016-03-28 08:16 - Go MAEDA

- Target version set to Candidate for next minor release

#2 - 2018-11-21 03:31 - Yuichi HARADA

- File 20788-missing-jsonvalue-false.patch added

JSON result was missing value of false or nil.

The reason is that we assume as 'true' the result of [false].any? . However actual this result is 'false'.

https://ruby-doc.org/core/Enumerable.html#method-i-any-3F

I made a patch, and attach it.

#3 - 2018-11-21 07:25 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.3.9
LGTM. Setting the target version to 3.3.9.

#4 - 2018-11-28 19:03 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#5 - 2018-11-28 19:04 - Jean-Philippe Lang

- Subject changed from REST API with JSON content missing some keys to REST API with JSON content missing attributes with false values

#6 - 2018-11-29 16:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

20788-missing-jsonvalue-false.patch 1.19 KB 2018-11-21 Yuichi HARADA
